API ReferenceManagementTenantsAdmin Links
POST
/v2/mgmt/tenant/adminlinks/sso/generate

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantId*string
Length1 <= length
expireTime?string
Formatint64
email?string
ssoId?string
Lengthlength <= 254
actorId?string

Optional: recorded as the audit actor for actions performed inside the SSO Setup Suite (instead of the temporary user). Used as-is for audit attribution and not validated.

Lengthlength <= 254

Generate an SSO admin link for a tenant, using a valid management key.

This API endpoint generates an SSO admin link that allows a tenant administrator to configure SSO settings.

curl -X POST "https://api.descope.com/v2/mgmt/tenant/adminlinks/sso/generate" \  -H "Content-Type: application/json" \  -d '{    "tenantId": "string"  }'
{  "adminSSOConfigurationLink": "string"}
export interface Response {adminSSOConfigurationLink?: string}
Was this helpful?